%define name libqwt
%define version 5.0.2
%define release 1

%define realname qwt
%define major 5
%define libname %mklibname %{realname} %major
%define libnamedev %mklibname %{realname} -d

%define debug_package %{nil} 

Name: %name
Version: %version
Release: %mkrel %release
Summary: 2D plotting widget extension to the Qt GUI
License: LGPL
Group: System/Libraries
Url: http://sourceforge.net/projects/qwt
Source: %realname-%version.tar.bz2
Patch0: qwt-5.0.2-qwtconfig-installbase.patch
Patch1: qwt-5.0.1-do-not-install-docs.patch

# Automatically added by buildreq on Fri Dec 03 2004
BuildRequires: fontconfig freetype2 gcc-c++ qt4-devel libstdc++-devel X11-devel

BuildRoot: %{_tmppath}/%{name}-root

%description
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

%package -n %libname 
Summary: 2D plotting widget extension to the Qt GUI
Group: System/Libraries

%description -n %libname
The libqwt-devel package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%package -n %libnamedev
Summary: Development tools for programs which uses Qwt Widget set
Group: System/Libraries
Requires: %libname = %version
Provides: libqwt-devel = %version-%release
Obsoletes: %libname-devel

%description -n %libnamedev
The libqwt-devel package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%prep
%setup -q -n %realname-%version
%patch0 -p0
%patch1 -p0
sed -i -e 's|INSTALLBASE/lib|INSTALLBASE/%{_lib}|' qwtconfig.pri

%build
%{qt4dir}/bin/qmake qwt.pro
make

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_mandir}/man3/
install doc/man/man3/* %{buildroot}%{_mandir}/man3/

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr (-,root,root)
%doc CHANGES COPYING README
%_libdir/libqwt.so.*
%{qt4plugins}/designer/*

%files -n %libnamedev
%defattr (-,root,root)
%doc COPYING doc/html/*.css doc/html/*.html doc/html/*.gif doc/html/*.png
%doc examples
%_includedir/*
%_libdir/*.so
%_mandir/man3/*


%changelog
* Sat Jul 21 2007 Funda Wang <fundawang@mandriva.org> 5.0.2-1mdv2008.0
+ Revision: 54251
- New version
- renew file list
- Build qt4 version

* Mon Apr 23 2007 Lenny Cartier <lenny@mandriva.org> 5.0.1-1mdv2008.0
+ Revision: 17323
- Update to 5.0.1


* Tue Jan 23 2007 Lenny Cartier <lenny@mandriva.com> 5.0.0-1mdv2007.0
+ Revision: 112574
- Updated to 5.0.0

* Fri Aug 11 2006 Gaëtan Lehmann <glehmann@mandriva.org> 4.2.0-6mdv2007.0
+ Revision: 55477
- rebuild
- Import libqwt

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-5mdk
- Move designer plugins for proper place in lib or lib64

* Wed Oct 05 2005 Lenny Cartier <lenny@mandriva.com> 4.2.0-4mdk
- rebuild

* Wed Jul 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 4.2.0-3mdk
- build on x86_64
- fix buildrequires

* Sat Jun 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 4.2.0-2mdk
- use mkrel
- fix doc path warning

* Wed Mar 02 2005 Olivier Lahaye <olivier.lahaye1@free.Fr> 1mdk
- port spec to Mandrake 10.1

* Fri Feb 11 2005 Vitaly Lipatov <lav@altlinux.ru> 4.2.0-alt2
- move libraries to /usr/lib64, fix .so placement

* Fri Dec 03 2004 Vitaly Lipatov <lav@altlinux.ru> 4.2.0-alt1
- first build for ALT Linux Sisyphus

